epp_DomainUpdateReq (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp02.domain.epp_DomainUpdateReq class

### org.openrtk.idl.epp02.domain

# Class epp_DomainUpdateReq

- `java.lang.Object`
- - `org.openrtk.idl.epp02.domain.epp_DomainUpdateReq`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_DomainUpdateReq`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

org/openrtk/idl/epp/domain/epp_DomainUpdateReq.java Generated by the IDL-to-Java compiler (portable), version "3.0" from epp_domain.idl Thursday, July 26, 2001 6:26:07 PM EDT

  ## Field Summary
  `epp_DomainUpdateAddRemove` | `m_add`
  `epp_DomainUpdateChange` | `m_change`
  `epp_Command` | `m_cmd`
  `String` | `m_name`
  `epp_DomainUpdateAddRemove` | `m_remove`

  ## Constructor Summary
  `epp_DomainUpdateReq()`
  `epp_DomainUpdateReq(epp_Command _m_cmd, String _m_name, epp_DomainUpdateAddRemove _m_add, epp_DomainUpdateChange _m_change, epp_DomainUpdateAddRemove _m_remove)`

  ## Method Summary
  `epp_DomainUpdateAddRemove` | `getAdd()`
  `epp_DomainUpdateChange` | `getChange()`
  `epp_Command` | `getCmd()`
  `String` | `getName()`
  `epp_DomainUpdateAddRemove` | `getRemove()`
  `void` | `setAdd(epp_DomainUpdateAddRemove value)`
  `void` | `setChange(epp_DomainUpdateChange value)`
  `void` | `setCmd(epp_Command value)`
  `void` | `setName(String value)`
  `void` | `setRemove(epp_DomainUpdateAddRemove value)`
  `String` | `toString()`

## Field Details

### m_add

    public epp_DomainUpdateAddRemove m_add

### m_change

    public epp_DomainUpdateChange m_change

### m_cmd

    public epp_Command m_cmd

### m_name

    public String m_name

### m_remove

    public epp_DomainUpdateAddRemove m_remove

## Constructor Details

### epp_DomainUpdateReq

    public epp_DomainUpdateReq()

### epp_DomainUpdateReq

    public epp_DomainUpdateReq(epp_Command _m_cmd,
                               String _m_name,
                               epp_DomainUpdateAddRemove _m_add,
                               epp_DomainUpdateChange _m_change,
                               epp_DomainUpdateAddRemove _m_remove)

## Method Details

### getAdd

    public epp_DomainUpdateAddRemove getAdd()

### getChange

    public epp_DomainUpdateChange getChange()

### getCmd

    public epp_Command getCmd()

### getName

    public String getName()

### getRemove

    public epp_DomainUpdateAddRemove getRemove()

### setAdd

    public void setAdd(epp_DomainUpdateAddRemove value)

### setChange

    public void setChange(epp_DomainUpdateChange value)

### setCmd

    public void setCmd(epp_Command value)

### setName

    public void setName(String value)

### setRemove

    public void setRemove(epp_DomainUpdateAddRemove value)

### toString

    public String toString()

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS